/*
 * Class WORKER_THREAD
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_332 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_332 [] = {0xFF01,1551,331,0xFFFF};
static const EIF_TYPE_INDEX egt_2_332 [] = {0xFF01,331,0xFFFF};
static const EIF_TYPE_INDEX egt_3_332 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_332 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_332 [] = {0xFF01,331,0xFFFF};
static const EIF_TYPE_INDEX egt_6_332 [] = {0xFF01,331,0xFFFF};
static const EIF_TYPE_INDEX egt_7_332 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_332 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_332 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_332 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_332 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_332 [] = {0xFF01,331,0xFFFF};
static const EIF_TYPE_INDEX egt_13_332 [] = {0xFF01,670,0xFFFF};
static const EIF_TYPE_INDEX egt_14_332 [] = {0xFF01,2124,866,0xFFFF};
static const EIF_TYPE_INDEX egt_15_332 [] = {0xFF01,1548,0xFF01,0,0xFF01,0xFFF9,0,840,0xFFFF};


static const struct desc_info desc_332[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_332), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_332), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_332), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_332), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_332), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_332), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_332), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_332), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_332), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_332), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_332), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_332), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0297 /*331*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_332), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 6257, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 6258, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6259, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6260, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6273, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 6274, 12},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6275, 8},
	{EIF_GENERIC(NULL), 6282, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6276, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6277, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6278, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6279, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6261, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6262, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6263, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6264, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6265, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6266, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_332), 6267, 0},
	{EIF_GENERIC(egt_14_332), 6268, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6269, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6270, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6271, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 6272, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6280, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6281, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_332), 6283, 4},
};
void Init332(void)
{
	IDSC(desc_332, 0, 331);
	IDSC(desc_332 + 1, 1, 331);
	IDSC(desc_332 + 32, 1528, 331);
	IDSC(desc_332 + 34, 68, 331);
	IDSC(desc_332 + 36, 100, 331);
	IDSC(desc_332 + 56, 328, 331);
}


#ifdef __cplusplus
}
#endif
